// ==UserScript==
// @name         Y!ストクリ レビューチェックサポートツール
// @namespace    http://tampermonkey.net/
// @version      2024-02-23
// @description  Yahoo!ショッピングのレビューで非常に良い・良い・普通にチェックを付けて絞り込みボタンをクリックする
// @author       jdash2000（笹川純一）
// @match        https://pro.store.yahoo.co.jp/pro.sokana/review/*
// @icon         https://www.google.com/s2/favicons?sz=64&domain=yahoo.co.jp
// @grant        none
// ==/UserScript==
(function() {
    'use strict';
    // idがaverage, good, excellentのチェックボックスを取得する
    let checkboxes = document.querySelectorAll("#average, #good, #excellent");
    // チェックボックスが全てcheckedプロパティがtrueかどうかを判定する変数
    let allChecked = true;
    // チェックボックスのcheckedプロパティを確認する
    for (let checkbox of checkboxes) {
        // もし、checkedプロパティがfalseのものがあれば
        if (!checkbox.checked) {
            // allCheckedをfalseにする
            allChecked = false;
            // ループを抜ける
            break;
        }
    }
    for (let checkbox of checkboxes) {
        // checkedプロパティにtrueを設定する
        checkbox.checked = true;
    }
    // button要素をidで取得する
    let filterButton = document.getElementById("filterButton");
    // もし、チェックボックスが全てcheckedプロパティがtrueであれば
    if (allChecked) {
        // button要素のクリックイベントを発火させない
    } else {
        // button要素のクリックイベントを発火させる
        filterButton.click();
    }
})();